Site Configuration
33 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getBandSteeringSetting | GET | Get site band steering setting |
| updateBandSteeringSetting | PATCH | Modify site band steering setting |
| getBeaconControlSetting | GET | Get site beacon control setting |
| updateBeaconControlSetting | PATCH | Modify site beacon control setting |
| getSiteSettingCap | GET | Get site capabilities. |
| getChannelLimitSetting | GET | Get site channel limit setting (deprecated) |
| updateChannelLimitSetting | PATCH | Modify site channel limit setting (deprecated) |
| getOmadacDstInfo | GET | Get site DST |
| getJumboSetting | GET | Get site jumbo setting |
| updateSiteJumboSetting | PUT | Modify site jumbo setting |
| getLagHashAlgSetting | GET | Get site lag hash algorithm setting |
| updateSiteLagHashAlgSetting | PUT | Modify site lag hash algorithm setting |
| getSiteLedSetting | GET | Get site led setting |
| updateSiteLedSetting | PUT | Modify site led setting |
| getLldpSetting | GET | Get site lldp setting |
| updateLldpSetting | PATCH | Modify site lldp setting |
| getMeshSetting | GET | Get site mesh setting |
| updateMeshSetting | PATCH | Modify site mesh setting |
| getMulticastRateLimitByOpenApi | GET | Get site multicast rate limit setting |
| updateMcastRateLimitSettingByOpenApi | PATCH | Modify site multicast rate limit setting |
| getPortalLogoutDomainSetting | GET | Get portal logout domain setting |
| updatePortalLogoutDomainSetting | PUT | Modify portal logout domain setting |
| getSiteRememberSettingByOpenApi | GET | Get site remember device setting |
| modifySiteRememberSettingByOpenApi | POST | Modify site remember device setting |
| getRemoteLoggingSetting | GET | Get site remote logging setting |
| updateRemoteLoggingSetting | PATCH | Modify site remote logging setting |
| getRoamingSetting | GET | Get site roaming setting |
| updateRoamingSetting | PATCH | Modify site roaming setting |
| getDisasterModeStatus | GET | Get the status of disaster modes in Japan |
| modifyDisasterModeStatus | POST | Modify the status of disaster modes in Japan |
| getExistSiteSettingByOpenApi | GET | Query site setting exist or not |
| getSiteSpecification | GET | Get site functional specifications |
| getSiteSupportSwitchInfo | GET | Get supported switch types information for the site |
getBandSteeringSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/band-steering
Get site band steering setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getBandSteeringSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site band steering setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateBandSteeringSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/band-steering
Modify site band steering setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteBandSteeringSetting
| Field | Type | Required | Description |
|---|---|---|---|
bandSteeringForMultiBand | BandSteeringMultiBandVO | no | (BandSteeringMultiBandVO not expanded; call omada_get_schema "BandSteeringMultiBandVO") |
// omada_call_operation
{
"operationId": "updateBandSteeringSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site band steering setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getBeaconControlSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/beacon-control
Get site beacon control setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getBeaconControlSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site beacon control setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateBeaconControlSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/beacon-control
Modify site beacon control setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteBeaconControlSetting
| Field | Type | Required | Description |
|---|---|---|---|
beaconControl | BeaconControlVO | no | (BeaconControlVO not expanded; call omada_get_schema "BeaconControlVO") |
airtimeFairness | AirtimeFairnessSettingVO | no | (AirtimeFairnessSettingVO not expanded; call omada_get_schema "AirtimeFairnessSettingVO") |
// omada_call_operation
{
"operationId": "updateBeaconControlSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site beacon control setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteSettingCap
GET /openapi/v1/{omadacId}/sites/{siteId}/capacity
Get site capabilities.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteSettingCap",
"params": {
"siteId": "<siteId>"
}
}getChannelLimitSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/channel-limit
Deprecated
This operation is deprecated.
Get site channel limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getChannelLimitSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site channel limit setting. This interface has been deprecated. Please use the following interface instead: Get ap channel limit config
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateChannelLimitSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/channel-limit
Deprecated
This operation is deprecated.
Modify site channel limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
Request body — application/json (required) — schema SiteChannelLimitSetting
| Field | Type | Required | Description |
|---|---|---|---|
channelLimit | ChannelLimitSettingVO | no | (ChannelLimitSettingVO not expanded; call omada_get_schema "ChannelLimitSettingVO") |
// omada_call_operation
{
"operationId": "updateChannelLimitSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site channel limit setting. This interface has been deprecated. Please use the following interface instead: Modify ap channel limit config
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getOmadacDstInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/dst-info
Get site DST
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getOmadacDstInfo",
"params": {
"siteId": "<siteId>"
}
}getJumboSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/jumbo
Get site jumbo setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getJumboSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site jumbo setting
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteJumboSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/jumbo
Modify site jumbo setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
Request body — application/json (required) — schema SiteJumboOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
size | integer | no | It should be within the range of 1518–9216 Bytes. |
// omada_call_operation
{
"operationId": "updateSiteJumboSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site jumbo setting
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getLagHashAlgSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/lag-hash-alg
Get site lag hash algorithm setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getLagHashAlgSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site lag hash algorithm setting
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteLagHashAlgSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/lag-hash-alg
Modify site lag hash algorithm setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
Request body — application/json (required) — schema SiteLagHashAlgOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | It should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP. |
// omada_call_operation
{
"operationId": "updateSiteLagHashAlgSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site lag hash algorithm setting
The interface requires one of the permissions:
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteLedSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/led
Get site led setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteLedSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site led setting
The interface requires one of the permissions:
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteLedSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/led
Modify site led setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
Request body — application/json (required) — schema SiteLedSetting
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable led |
// omada_call_operation
{
"operationId": "updateSiteLedSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site led setting
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getLldpSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/lldp
Get site lldp setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getLldpSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site lldp setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateLldpSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/lldp
Modify site lldp setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
Request body — application/json (required) — schema SiteLldpSetting
| Field | Type | Required | Description |
|---|---|---|---|
lldp | SiteApLldpSettingVO | no | (SiteApLldpSettingVO not expanded; call omada_get_schema "SiteApLldpSettingVO") |
// omada_call_operation
{
"operationId": "updateLldpSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site lldp setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getMeshSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/mesh
Get site mesh setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getMeshSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site mesh setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateMeshSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/mesh
Modify site mesh setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
Request body — application/json (required) — schema SiteMeshSetting
| Field | Type | Required | Description |
|---|---|---|---|
mesh | MeshSettingVO | no | (MeshSettingVO not expanded; call omada_get_schema "MeshSettingVO") |
// omada_call_operation
{
"operationId": "updateMeshSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site mesh setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getMulticastRateLimitByOpenApi
GET /openapi/v1/{omadacId}/sites/{siteId}/multicast-rate-limit
Get site multicast rate limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Omada ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getMulticastRateLimitByOpenApi",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site multicast rate limit setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateMcastRateLimitSettingByOpenApi
PATCH /openapi/v1/{omadacId}/sites/{siteId}/multicast-rate-limit
Modify site multicast rate limit setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteMulticastRateLimitSetting
| Field | Type | Required | Description |
|---|---|---|---|
mcastRateLimit | McastRateLimitSettingVO | no | (McastRateLimitSettingVO not expanded; call omada_get_schema "McastRateLimitSettingVO") |
// omada_call_operation
{
"operationId": "updateMcastRateLimitSettingByOpenApi",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site multicast rate limit setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getPortalLogoutDomainSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/portal-logout
Get portal logout domain setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPortalLogoutDomainSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get portal logout domain setting
The interface requires one of the permissions:
Global Dashboard Manager View Only
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updatePortalLogoutDomainSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/portal-logout
Modify portal logout domain setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema PortalLogoutConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
domain | string | no | The domain of the portal logout url |
// omada_call_operation
{
"operationId": "updatePortalLogoutDomainSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify portal logout domain setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteRememberSettingByOpenApi
GET /openapi/v1/{omadacId}/sites/{siteId}/remember-device
Get site remember device setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteRememberSettingByOpenApi",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site remember device setting
The interface requires one of the permissions:
Site Settings Manager View Only
modifySiteRememberSettingByOpenApi
POST /openapi/v1/{omadacId}/sites/{siteId}/remember-device
Modify site remember device setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteRememberDeviceSetting
| Field | Type | Required | Description |
|---|---|---|---|
remember | boolean | no | Site remember device. |
// omada_call_operation
{
"operationId": "modifySiteRememberSettingByOpenApi",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site remember device setting
The interface requires one of the permissions:
Site Settings Manager Modify
getRemoteLoggingSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/remote-logging
Get site remote logging setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getRemoteLoggingSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site remote logging setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateRemoteLoggingSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/remote-logging
Modify site remote logging setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteRemoteLoggingSetting
| Field | Type | Required | Description |
|---|---|---|---|
remoteLog | RemoteLogSettingVO | no | (RemoteLogSettingVO not expanded; call omada_get_schema "RemoteLogSettingVO") |
// omada_call_operation
{
"operationId": "updateRemoteLoggingSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site remote logging setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getRoamingSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/roaming
Get site roaming setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getRoamingSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site roaming setting
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateRoamingSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/roaming
Modify site roaming setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SiteRoamingSetting
| Field | Type | Required | Description |
|---|---|---|---|
roaming | RoamingOpenApiVO | yes | (RoamingOpenApiVO not expanded; call omada_get_schema "RoamingOpenApiVO") |
// omada_call_operation
{
"operationId": "updateRoamingSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site roaming setting
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getDisasterModeStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/disaster
Get the status of disaster modes in Japan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getDisasterModeStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the status of disaster modes in Japan
The interface requires one of the permissions:
Site Settings Manager View Only
modifyDisasterModeStatus
POST /openapi/v1/{omadacId}/sites/{siteId}/setting/disaster
Modify the status of disaster modes in Japan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ModifyDisasterModeOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | no | Format should be a value as follows: 1: disaster mode enable; 2: disaster mode disable |
// omada_call_operation
{
"operationId": "modifyDisasterModeStatus",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify the status of disaster modes in Japan
The interface requires one of the permissions:
Site Settings Manager Modify
getExistSiteSettingByOpenApi
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/exist
Query site setting exist or not
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getExistSiteSettingByOpenApi",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query site setting exist or not
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteSpecification
GET /openapi/v1/{omadacId}/sites/{siteId}/specification
Get site functional specifications
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteSpecification",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site functional specifications(Return value only after adopting low-specification equipment).
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
getSiteSupportSwitchInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/switch-support
Get supported switch types information for the site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteSupportSwitchInfo",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get supported switch types information for the site.